CVE-2003-0381
CVSS2.1
发布时间 :2003-07-24 00:00:00
修订时间 :2008-09-05 16:34:11
NMCOS    

[原文]Multiple vulnerabilities in noweb 2.9 and earlier creates temporary files insecurely, which allows local users to overwrite arbitrary files via multiple vectors including the noroff script.


[CNNVD]Noweb/Noroff以不安全方式建立临时文件漏洞(CNNVD-200307-034)

        
        Noweb/Noroff是literate编程语言。
        Noweb/Noroff不安全建立临时文件,本地攻击者可以利用这个漏洞利用符号连接攻击破坏系统任意文件。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0381
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0381
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200307-034
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2003/dsa-323
(VENDOR_ADVISORY)  DEBIAN  DSA-323

- 漏洞信息

Noweb/Noroff以不安全方式建立临时文件漏洞
低危 访问验证错误
2003-07-24 00:00:00 2005-10-20 00:00:00
本地  
        
        Noweb/Noroff是literate编程语言。
        Noweb/Noroff不安全建立临时文件,本地攻击者可以利用这个漏洞利用符号连接攻击破坏系统任意文件。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2003/dsa-323

- 漏洞信息

4323
noweb Multiple Script Insecure Temporary File Creation

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-06-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Noweb/Noroff Insecure Temporary File Creation Vulnerability
Access Validation Error 7937
No Yes
2003-06-16 12:00:00 2009-07-11 10:06:00
Discovery of this vulnerability has been credited to Jakob Lell.

- 受影响的程序版本

Norman Ramsey Noweb 2.9 a

- 漏洞讨论

noweb/noroff has been reported prone to an insecure temporary file creation vulnerability. As a result, it may be possible for local attackers to corrupt files owned by the user who is invoking the noroff application.

An attacker may exploit this vulnerability to corrupt, potentially sensitive arbitrary files.

It should be noted that although this vulnerability has been reported to affect noweb version 2.9a, other versions might also be affected.

- 漏洞利用

No exploit is required.

- 解决方案

Debian has released an advisory (DSA 323-1). Information about applying fixes is available in the referenced advisory. Fixes are available below.

Gentoo Linux has released an advisory. Users who have installed app-text/noweb are advised to upgrade affected systems to noweb-2.9-r3 by issuing the following commands:

emerge sync
emerge noweb
emerge clean


Norman Ramsey Noweb 2.9 a

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站